## Remove a payment link

Soft-delete a payment link. The link is hidden from listings and lookups but the
underlying record and any associated payments are preserved for historical and
audit purposes.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/remove-payment-link HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  payment_link_id: string,
}
```

Returns: boolean

## Request arguments

### `payment_link_id` (string)

**Required**. The unique identifier of the payment link to remove.

## Errors specific to this endpoint

### `NOT_FOUND`

No payment link with the provided ID exists in your merchant account.

### `NOT_REMOVABLE`

The payment link has one or more associated payments and cannot be removed.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
